Bug 236651 - www/firefox: update to 67.0
Summary: www/firefox: update to 67.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 235300 237373
Blocks: 238087
  Show dependency treegraph
 
Reported: 2019-03-20 01:10 UTC by Jan Beich
Modified: 2019-06-18 10:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-20 01:10:33 UTC
See review D19654 for the patch.
Comment 1 Jan Beich freebsd_committer 2019-03-23 01:04:39 UTC
Can someone check if AV1 decoding via (bundled) dav1d works fine?

1. Open https://www.youtube.com/testtube
2. Select "Always Prefer AV1"
3. Open https://www.youtube.com/playlist?list=PLvndfuQ5JldKMffLOhQ6pLdO0euZfq_40
4. Play any video in the list
5. Select highest resolution that plays smoothly in a standalone player
6. Right click on video and select "Stats for nerds"
7. Confirm you're watching AV1 (av01.0.05M.08) content
Comment 2 commit-hook freebsd_committer 2019-05-13 23:56:13 UTC
A commit references this bug:

Author: jbeich
Date: Mon May 13 23:55:30 UTC 2019
New revision: 501604
URL: https://svnweb.freebsd.org/changeset/ports/501604

Log:
  www/firefox: update to 67.0

  Changes:	https://www.mozilla.org/firefox/67.0/releasenotes/
  PR:		236651
  Security:	44b6dfbf-4ef7-4d52-ad52-2b1b05d81272
  MFH:		2019Q2
  Differential Revision:	https://reviews.freebsd.org/D19654

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1513605
  head/www/firefox/files/patch-bug1514156
  head/www/firefox/files/patch-bug1527556
  head/www/firefox/files/patch-bug1527804
  head/www/firefox/files/patch-bug1530659
  head/www/firefox/files/patch-bug1532024
  head/www/firefox/files/patch-bug1536126
Comment 3 commit-hook freebsd_committer 2019-05-17 12:07:19 UTC
A commit references this bug:

Author: jbeich
Date: Fri May 17 12:06:36 UTC 2019
New revision: 501858
URL: https://svnweb.freebsd.org/changeset/ports/501858

Log:
  MFH: r501604 r501832

  www/firefox: update to 67.0

  Changes:	https://www.mozilla.org/firefox/67.0/releasenotes/
  PR:		236651
  Security:	44b6dfbf-4ef7-4d52-ad52-2b1b05d81272
  Approved by:	ports-secteam (miwi)
  Differential Revision:	https://reviews.freebsd.org/D19654

Changes:
_U  branches/2019Q2/
  branches/2019Q2/Mk/bsd.gecko.mk
  branches/2019Q2/www/firefox/Makefile
  branches/2019Q2/www/firefox/distinfo
  branches/2019Q2/www/firefox/files/patch-bug1513605
  branches/2019Q2/www/firefox/files/patch-bug1514156
  branches/2019Q2/www/firefox/files/patch-bug1527556
  branches/2019Q2/www/firefox/files/patch-bug1527804
  branches/2019Q2/www/firefox/files/patch-bug1530659
  branches/2019Q2/www/firefox/files/patch-bug1532024
  branches/2019Q2/www/firefox/files/patch-bug1536126
Comment 4 commit-hook freebsd_committer 2019-05-29 20:39:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 29 20:38:54 UTC 2019
New revision: 503007
URL: https://svnweb.freebsd.org/changeset/ports/503007

Log:
  www/firefox: update to 67.0.1

  Changes:	https://www.mozilla.org/firefox/67.0.1/releasenotes/
  PR:		236651

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 5 commit-hook freebsd_committer 2019-05-29 20:40:08 UTC
A commit references this bug:

Author: jbeich
Date: Wed May 29 20:39:48 UTC 2019
New revision: 503012
URL: https://svnweb.freebsd.org/changeset/ports/503012

Log:
  MFH: r503007

  www/firefox: update to 67.0.1

  Changes:	https://www.mozilla.org/firefox/67.0.1/releasenotes/
  PR:		236651
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q2/
  branches/2019Q2/www/firefox/Makefile
  branches/2019Q2/www/firefox/distinfo
Comment 6 commit-hook freebsd_committer 2019-06-06 13:35:54 UTC
A commit references this bug:

Author: cmt
Date: Thu Jun  6 13:35:40 UTC 2019
New revision: 503579
URL: https://svnweb.freebsd.org/changeset/ports/503579

Log:
  update firefox to 67.0.2 (rc1)

  Changes: https://www.mozilla.org/en-US/firefox/67.0.2/releasenotes/

  PR:		236651
  Approved by:	jbeich (gecko, implicit)
  MFH:		2019Q2

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 7 commit-hook freebsd_committer 2019-06-06 13:37:57 UTC
A commit references this bug:

Author: cmt
Date: Thu Jun  6 13:37:42 UTC 2019
New revision: 503580
URL: https://svnweb.freebsd.org/changeset/ports/503580

Log:
  MFH: r503579

  update firefox to 67.0.2 (rc1)

  Changes: https://www.mozilla.org/en-US/firefox/67.0.2/releasenotes/

  PR:		236651
  Approved by:	jbeich (gecko, implicit)

  Approved by:	portmgr (web browser blanket)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/www/firefox/Makefile
  branches/2019Q2/www/firefox/distinfo
Comment 8 commit-hook freebsd_committer 2019-06-09 22:40:15 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jun  9 22:39:48 UTC 2019
New revision: 503861
URL: https://svnweb.freebsd.org/changeset/ports/503861

Log:
  www/firefox: switch to rc2

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2019-06-07&enddate=2019-06-09
  PR:		236651

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1554744
Comment 9 commit-hook freebsd_committer 2019-06-10 00:27:41 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jun 10 00:27:05 UTC 2019
New revision: 503864
URL: https://svnweb.freebsd.org/changeset/ports/503864

Log:
  MFH: r503861

  www/firefox: switch to rc2

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2019-06-07&enddate=2019-06-09
  PR:		236651
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q2/
  branches/2019Q2/www/firefox/Makefile
  branches/2019Q2/www/firefox/distinfo
  branches/2019Q2/www/firefox/files/patch-bug1554744
Comment 10 commit-hook freebsd_committer 2019-06-18 10:13:54 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jun 18 10:12:54 UTC 2019
New revision: 504471
URL: https://svnweb.freebsd.org/changeset/ports/504471

Log:
  www/firefox: update to 67.0.3

  Changes:	https://www.mozilla.org/firefox/67.0.3/releasenotes/
  PR:		236651

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 11 commit-hook freebsd_committer 2019-06-18 10:13:56 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jun 18 10:13:33 UTC 2019
New revision: 504473
URL: https://svnweb.freebsd.org/changeset/ports/504473

Log:
  MFH: r504471

  www/firefox: update to 67.0.3

  Changes:	https://www.mozilla.org/firefox/67.0.3/releasenotes/
  PR:		236651
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q2/
  branches/2019Q2/www/firefox/Makefile
  branches/2019Q2/www/firefox/distinfo